/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
// 共通検索フレーム用データ・クラス
//
//
//	変更履歴
//		2004.01.08 新規作成 A.Shimoma
//
package jp.co.ntt.lms.xms.logsumup;

import java.lang.reflect.Method;

import jp.co.ntt.lms.xms.framework.XmsScreenBean;

/**
 * 共通検索フレーム用データ・クラス。<br>
 * 
 * @author shimoma
 */
public class LoLogSearchResult extends XmsScreenBean {
	
	/** ID(グループIDまたはユーザID) */
	private String GroupOrUserId;

	/** 名称(グループ名またはユーザ名称) */
	private String GroupOrUserName;

	/** 外部ID(グループまたはユーザ) */
	private String foreignId;
	
	/** LoID */
	private String LoID;

	/** LO名 */
	private String LoName;

	/** LOタイプ */
	private String LoType;

	/** Lo外部ID */
	private String LoForeignId;

	/** 配下フラグ */
	private String subordinateflg;
	
	/** 学習者(ユーザ）数 */
	private String userCount;

	/** グループかユーザか*/
	private boolean group;

	/** 検索期間FROM */
	private String fromDate;

	/** 検索期間TO */
	private String toDate;	
	
	/** 集計対象が配下か直下かのメッセージ*/
	private String condidateTotalMassage;

	/** コンテナかどうか **/
	private boolean container;
	
	/** 教材かどうか **/
	private boolean materiall;
	
	/** realLOID */
	private String realLOID;	

	/**
	 * プロパティに設定されている値の一覧を返却します<br>
	 * 
	 * このオブジェクトのgetterメソッドを実行しプロパティの一覧を返します
	 *
	 * @return プロパティに設定されている値の一覧を返却します
	 */
	public String toString(){
		StringBuffer buffer = new StringBuffer();

		try {
			Method methods[] = this.getClass().getDeclaredMethods();
			for(int i=0;i<methods.length;i++){
				String methodName = methods[i].getName();
				if(methodName.startsWith("get") || methodName.startsWith("is")){
					Object o = 
					(Object)this.getClass().getMethod(methodName,null).invoke(this,null);
					buffer.append("[");
					buffer.append(methodName);
					buffer.append(":");
					if(o == null){
						buffer.append("null");
					}else{
						buffer.append(o.toString());
					}
					buffer.append("]");
					buffer.append("\r\n");

				}
			}

		} catch (Exception e) {
			//デバック用なのでなにもしない
		}
		return buffer.toString();
	}




	/**
	 * 集計対象が配下か直下かのメッセージを取得する。
	 * @return condidateTotalMassage
	 */
	public String getCondidateTotalMassage() {
		return condidateTotalMassage;
	}

	/**
	 * コンテナかどうかを取得する。
	 * @return container
	 */
	public boolean isContainer() {
		return container;
	}

	/**
	 * グループまたはユーザ外部IDを取得する。
	 * @return foreignId
	 */
	public String getForeignId() {
		return foreignId;
	}

	/**
	 * 検索期間FROMを取得する。
	 * @return fromDate
	 */
	public String getFromDate() {
		return fromDate;
	}

	/**
	 * グループかユーザかを取得する。
	 * @return group
	 */
	public boolean isGroup() {
		return group;
	}

	/**
	 * グループIDまたはユーザIDを取得する。
	 * @return GroupOrUserId
	 */
	public String getGroupOrUserId() {
		return GroupOrUserId;
	}

	/**
	 * グループ名またはユーザ名を取得する。
	 * @return GroupOrUserName
	 */
	public String getGroupOrUserName() {
		return GroupOrUserName;
	}

	/**
	 * Lo外部IDを取得する。
	 * @return LoForeignId
	 */
	public String getLoForeignId() {
		return LoForeignId;
	}

	/**
	 * LOIDを取得する。
	 * @return LoID
	 */
	public String getLoID() {
		return LoID;
	}

	/**
	 * LO名を取得する。
	 * @return LoName
	 */
	public String getLoName() {
		return LoName;
	}

	/**
	 * LOタイプを取得する。
	 * @return LoType
	 */
	public String getLoType() {
		return LoType;
	}

	/**
	 * 教材かどうかを取得する。
	 * @return materiall
	 */
	public boolean isMateriall() {
		return materiall;
	}

	/**
	 * リアルLOIDを取得する。
	 * @return realLOID
	 */
	public String getRealLOID() {
		return realLOID;
	}

	/**
	 * 配下フラグを取得する。
	 * @return subordinateflg
	 */
	public String getSubordinateflg() {
		return subordinateflg;
	}

	/**
	 * 検索期間TOを取得する。
	 * @return toDate
	 */
	public String getToDate() {
		return toDate;
	}

	/**
	 * 学習者(ユーザ)数を取得する。
	 * @return userCount
	 */
	public String getUserCount() {
		return userCount;
	}

	/**
	 * 集計対象が配下か直下かのメッセージを設定する。
	 * @param condidateTotalMassage
	 */
	public void setCondidateTotalMassage(String condidateTotalMassage) {
		this.condidateTotalMassage = condidateTotalMassage;
	}

	/**
	 * コンテナかどうかを設定する。
	 * @param container
	 */
	public void setContainer(boolean container) {
		this.container = container;
	}

	/**
	 * グループまたはユーザ外部IDを設定する。
	 * @param foreignId
	 */
	public void setForeignId(String foreignId) {
		this.foreignId = foreignId;
	}

	/**
	 * 検索期間FROMを設定する。
	 * @param fromDate
	 */
	public void setFromDate(String fromDate) {
		this.fromDate = fromDate;
	}

	/**
	 * グループかユーザかを設定する。
	 * @param group
	 */
	public void setGroup(boolean group) {
		this.group = group;
	}

	/**
	 * グループIDまたはユーザIDを設定する。
	 * @param groupOrUserId
	 */
	public void setGroupOrUserId(String groupOrUserId) {
		GroupOrUserId = groupOrUserId;
	}

	/**
	 * グループ名またはユーザ名を設定する。
	 * @param groupOrUserName
	 */
	public void setGroupOrUserName(String groupOrUserName) {
		GroupOrUserName = groupOrUserName;
	}

	/**
	 * Lo外部IDを設定する。
	 * @param loForeignId
	 */
	public void setLoForeignId(String loForeignId) {
		LoForeignId = loForeignId;
	}

	/**
	 * LOIDを設定する。
	 * @param loID
	 */
	public void setLoID(String loID) {
		LoID = loID;
	}

	/**
	 * LO名を設定する。
	 * @param loName
	 */
	public void setLoName(String loName) {
		LoName = loName;
	}

	/**
	 * LOタイプを設定する。
	 * @param loType
	 */
	public void setLoType(String loType) {
		LoType = loType;
	}

	/**
	 * 教材かどうかを設定する。
	 * @param materiall
	 */
	public void setMateriall(boolean materiall) {
		this.materiall = materiall;
	}

	/**
	 * リアルLOIDを設定する。
	 * @param realLOID
	 */
	public void setRealLOID(String realLOID) {
		this.realLOID = realLOID;
	}

	/**
	 * 配下フラグを設定する。
	 * @param subordinateflg
	 */
	public void setSubordinateflg(String subordinateflg) {
		this.subordinateflg = subordinateflg;
	}

	/**
	 * 検索期間TOを設定する。
	 * @param toDate
	 */
	public void setToDate(String toDate) {
		this.toDate = toDate;
	}

	/**
	 * 学習者(ユーザ)数を設定する。
	 * @param userCount
	 */
	public void setUserCount(String userCount) {
		this.userCount = userCount;
	}

}
